package com.tourism.webadmin.back.util;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

public class QueryConditionProccessUtils {

    /**
     * 根据开始日期和天数，计算结束日期
     * @param beginDate
     * @param days
     * @return
     */
    public static String getEndDate(String beginDate, Integer days){
        // 格式化
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM-dd");
        LocalDate startDate = LocalDate.parse(beginDate, formatter);

        // 增加天数，去掉当天这天
        LocalDate endDate = startDate.plusDays(days - 1);
        return String.valueOf(endDate);
    }

    /**
     * 根据开始日期和天数，计算结束日期
     * @param beginDate
     * @param days
     * @return
     */
    public static String getEndDateTime(String beginDate, Integer days){
        // 定义输入的日期时间格式
        DateTimeFormatter inputFormatter = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");

        // 解析字符串为LocalDateTime对象
        LocalDateTime dateTime = LocalDateTime.parse(beginDate, inputFormatter);
        // 获取仅包含日期部分的LocalDate对象
        LocalDate startDate = dateTime.toLocalDate();

        // 增加天数，去掉当天这天
        LocalDate endDate = startDate.plusDays(days - 1);
        return String.valueOf(endDate);

    }

}
